package ca.recrown.islandsurvivalcraft;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map.Entry;

public class Utilities {
    public static <K, V> HashMap<V, ArrayList<K>> invertHashMap(HashMap<K, V> hashMap) {
        HashMap<V, ArrayList<K>> res = new HashMap<>();
        for (Entry<K, V> entry : hashMap.entrySet()) {
            if (!res.containsKey(entry.getValue())) {
                ArrayList<K> l = new ArrayList<K>();
                l.add(entry.getKey());
                res.put(entry.getValue(), l);
            } else {
                res.get(entry.getValue()).add(entry.getKey());
            }
        }
        return res;
    }
}